Subject: bug#19412: 24.3; ido-write-file sometimes writes to a different directory than, it says it will

From: "Ryan C. Thompson" <[email-masked]>
Date: Sun, 10 Jan 2021 18:12:20 -0500

Hi Stefan,

It's been a while, but I've fixed up my patch and given it some testing, 
and it seems to work on for me. However, in the meantime, this issue has 
recently been "fixed" by special-casing write-file in ido.el, as seen in 
#28513. So if you want to install my patch now, you'll need to install 
the version attached to that thread. That version reverts the other fix, 
since of course they are not compatible, and would be redundant even if 
they were.

Regards,

Ryan Thompson

On 8/12/20 12:44 PM, Stefan Kangas wrote:
> "Ryan C. Thompson" <[email-masked]> writes:
>
>> Ok, I think I have a working patch for this issue. I patched ido-file-internal,
>> ido-read-file-name, and ido-read-directory-name, and I think that's all the code
>> paths that need to be fixed. Now the test case described in the original report
>> produces the correct result for me: writing to /tmp/mumble.frotz.
>>
>> However, I should note that this is still relatively untested. I will test it
>> out and try to make sure it doesn't cause any unexpected issues before I
>> recommend merging it.
> Any updates here?  Did you give it more testing?
>
> Best regards,
> Stefan Kangas